Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.est
Class AttrOrOID

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.est.AttrOrOID

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class AttrOrOID
extends ASN1Object
implements ASN1Choice

AttrOrOID ::= CHOICE (oid OBJECT IDENTIFIER, attribute Attribute }

Constructor Summary
`AttrOrOID(ASN1ObjectIdentifier oid)`
`AttrOrOID(Attribute attribute)`

Method Summary
`Attribute` | `getAttribute()`
`static AttrOrOID` | `getInstance(java.lang.Object obj)`
`ASN1ObjectIdentifier` | `getOid()`
`boolean` | `isOid()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrOrOID

    public AttrOrOID(ASN1ObjectIdentifier oid)

### AttrOrOID

    public AttrOrOID(Attribute attribute)

Method Detail

### getInstance

    public static AttrOrOID getInstance(java.lang.Object obj)

### isOid

    public boolean isOid()

### getOid

    public ASN1ObjectIdentifier getOid()

### getAttribute

    public Attribute getAttribute()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD